<?php

/**
 * @file
 * A demo menu link.
 */

use Drupal\menu_link_content\Entity\MenuLinkContent;

$menu_item = MenuLinkContent::create([
  'title' => 'Another Page',
  'menu_name' => 'main',
  'link' => ['uri' => 'internal:/node/2'],
  'weight' => 1,
  'field_icon' => 'mdi:document',
]);
$menu_item->save();

$menu_item->addTranslation('nl', [
  'title' => 'Nog een pagina',
])->save();
