Drupal.behaviors.nuxtifyDecouplerPreviewBehaviour = {
  attach: function (context) {
    once('nuxtifyDecouplerPreviewBehaviour', '.field--type-preview-token > iframe', context).forEach(
      (element) => {
        window.addEventListener('message', (e) => {
          const { data } = e

          if (data?.name === 'setFrameHeight') {
            element.style.height = `${data.height}px`
          }
        })
      }
    )
  }
}
